| The Gaudi Framework v32r1 (f65d50dc)

Classes | Namespaces | Functions
StringKey.h File Reference
`#include <algorithm>`
`#include <functional>`
`#include <iosfwd>`
`#include <string>`
`#include <vector>`
`#include "GaudiKernel/Kernel.h"`
`#include "GaudiKernel/StatusCode.h"`
Include dependency graph for StringKey.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Gaudi::StringKey
| The helper class to represent the efficient "key" for access. More...
struct | std::hash< Gaudi::StringKey >
| specialization of hash function used in C++11 collections like std::unordered_map More...

## Namespaces
| Gaudi
| Header file for std:chrono::duration-based Counters.
| Gaudi::Utils
| Gaudi::Parsers
| std
| STL namespace.

## Functions
template<unsigned int N>
bool | Gaudi::operator== (const Gaudi::StringKey &key1, const char(&key2)[N])
| equality operator with C-arrays More...
template<unsigned int N>
bool | Gaudi::operator!= (const Gaudi::StringKey &key1, const char(&key2)[N])
| non-equality operator with C-arrays More...
bool | Gaudi::operator== (const std::string &key1, const Gaudi::StringKey &key2)
| "right" form of equality operator More...
template<unsigned int N>
bool | Gaudi::operator== (const char(&key1)[N], const Gaudi::StringKey &key2)
| "right" form of equality operator More...
bool | Gaudi::operator!= (const std::string &key1, const Gaudi::StringKey &key2)
| "right" form of non-equality operator More...
template<unsigned int N>
bool | Gaudi::operator!= (const char(&key1)[N], const Gaudi::StringKey &key2)
| "right" form of non-equality operator More...
std::size_t | Gaudi::hash_value (const Gaudi::StringKey &key)
| hash-function: heeded for boost::hash More...
std::string | operator+ (const std::string &lhs, const Gaudi::StringKey &rhs)
std::string | operator+ (const char *lhs, const Gaudi::StringKey &rhs)
std::string | operator+ (const Gaudi::StringKey &lhs, const std::string &rhs)
std::string | operator+ (const Gaudi::StringKey &lhs, const char *rhs)
GAUDI_API std::ostream & | Gaudi::Utils::toStream (const Gaudi::StringKey &key, std::ostream &s)
| send the object to stream (needed to use it as property) More...
std::ostream & | Gaudi::operator<< (std::ostream &o, const Gaudi::StringKey &key)
| printout of the object reply on the native printout for the string More...
GAUDI_API StatusCode | Gaudi::Parsers::parse (Gaudi::StringKey &result, const std::string &input)
| parse the key from the string More...
GAUDI_API StatusCode | Gaudi::Parsers::parse (std::vector< Gaudi::StringKey > &result, const std::string &input)
| parse the vector of keys from the string More...

## Function Documentation

## ◆ operator+() [1/4]

std::string operator+ | ( | const std::string & | lhs,
|  | const Gaudi::StringKey & | rhs
| ) |  |
| inline

Definition at line 205 of file StringKey.h.

205 { return lhs + rhs.str(); }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:45

## ◆ operator+() [2/4]

std::string operator+ | ( | const char * | lhs,
|  | const Gaudi::StringKey & | rhs
| ) |  |
| inline

Definition at line 206 of file StringKey.h.

206 { return lhs + rhs.str(); }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:45

## ◆ operator+() [3/4]

std::string operator+ | ( | const Gaudi::StringKey & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Definition at line 207 of file StringKey.h.

207 { return lhs.str() + rhs; }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:45

## ◆ operator+() [4/4]

std::string operator+ | ( | const Gaudi::StringKey & | lhs,
|  | const char * | rhs
| ) |  |
| inline

Definition at line 208 of file StringKey.h.

208 { return lhs.str() + rhs; }
Gaudi::StringKey::str
const std::string & str() const
the actual string
Definition: StringKey.h:45